Bug 1335614 - puppet agent doesn't work on provisioned host
Summary: puppet agent doesn't work on provisioned host
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Other
Version: 6.1.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-12 16:19 UTC by movciari
Modified: 2016-09-16 20:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-16 20:37:40 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description movciari 2016-05-12 16:19:29 UTC
Description of problem:
i have an environment called production that was created during installation of satellite, and when i provision a host in this environment, puppet-agent doesn't
 work and its log says: Did not receive certificate

Version-Release number of selected component (if applicable):
satellite 6.1.8

How reproducible:
always

Steps to Reproduce:
1. provision host
2. wait a few minutes and check systemctl status puppet

Actual results:
Did not receive certificate

Expected results:
puppet should work

Additional info:

Comment 2 Ohad Levy 2016-06-07 13:29:39 UTC
additional info is required, mostly logs from provisioned host and foreman-debug.

Comment 3 Bryan Kearney 2016-07-26 18:58:10 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 4 movciari 2016-08-30 08:48:00 UTC
I just wanted to get a working Satellite 6 environment and provision and control hosts with it, I found this when trying to find out why puppet doesn't work on provisioned hosts. Later we found some workaround and that Satellite instance doesn't exist anymore, so I can't provide more info.

Comment 5 Bryan Kearney 2016-09-16 20:37:40 UTC
Closing


Note You need to log in before you can comment on or make changes to this bug.